# there is no debug package
%global debug_package %{nil}

Name:           half
Version:        2.2.0
Release:        2%{?dist}
Summary:        A C++ half-precision floating point type
License:        MIT

URL:            http://sourceforge.net/projects/half
Source0:        %{url}/files/%{name}/%{version}/%{name}-%{version}.zip

BuildRequires:  dos2unix

%description
This is a C++ header-only library to provide an IEEE-754 conformant
half-precision floating point type along with corresponding arithmetic
operators, type conversions and common mathematical functions. It aims
for both efficiency and ease of use, trying to accurately mimic the
behaviour of the builtin floating point types at the best performance
possible. It automatically uses and provides C++11 features when
possible, but stays completely C++98-compatible when neccessary.

%package devel
BuildArch:      noarch
Summary:        A C++ half-precision floating point type
Provides:       %{name}-static = %{version}-%{release}

%description devel
This is a C++ header-only library to provide an IEEE-754 conformant
half-precision floating point type along with corresponding arithmetic
operators, type conversions and common mathematical functions. It aims
for both efficiency and ease of use, trying to accurately mimic the
behaviour of the builtin floating point types at the best performance
possible. It automatically uses and provides C++11 features when
possible, but stays completely C++98-compatible when neccessary.

%prep
%autosetup -c

# change dos endings to unix
dos2unix include/half.hpp
dos2unix LICENSE.txt
dos2unix README.txt

%install

mkdir -p %{buildroot}%{_includedir}
install -m 644 include/half.hpp %{buildroot}%{_includedir}

%files devel
%doc README.txt
%license LICENSE.txt
%{_includedir}/half.hpp

%changelog
* Thu Aug 17 2023 Tom Rix <trix@redhat.com> - 2.2.0-2
- Address review comments

* Wed Aug 9 2023 Tom Rix <trix@redhat.com> - 2.2.0-1
- Initial package
